%global debug_package %{nil}
%define multilib_archs x86_64 %{ix86}

Name:    silo
Version: 4.10.2
Release: 22.fc40
Summary: Silo is a scientific data format library.

License: BSD
URL:     https://wci.llnl.gov/codes/silo/
Source0: https://wci.llnl.gov/codes/silo/silo-%{version}/silo-%{version}.tar.gz

# this needs to be improved!
BuildRequires: pkgconfig(QtGui)

%description
Silo supports gridless (point) meshes, structured meshes, unstructured-zoo and unstructured-arbitrary-polyhedral meshes,
block structured AMR meshes, constructive solid geometry (CSG) meshes, piecewise-constant (e.g. zone-centered) and
piecewise-linear (e.g. node-centered) variables defined on the node, edge, face or volume elements of meshes as well as
the decomposition of meshes into arbitrary subset hierarchies including materials and mixing materials. In addition,
Silo supports a wide variety of other useful objects to address various scientific computing application needs. Although
the Silo library is a serial library, it has some key features which enable it to be applied quite effectively and
scalable in parallel.


%prep
%setup -q

%build
export CPPFLAGS="-I/usr/include -I/usr/include/Qt -I/usr/include/QtGui -I/usr/include/QtCore"
export LDFLAGS="-L/usr/lib64 -lQtGui -lQtCore"
./configure --with-Qt-bin-dir="/usr/lib64/qt4/bin" --with-Qt-lib-dir="/usr/lib64" \
            --with-Qt-include-dir="/usr/include" --with-Qt-lib="QtCore -lQtGui" \
	    --bindir=%{_bindir} --libdir=%{_libdir} --includedir="/usr/include" --enable-silex

make %{?_smp_mflags}

%install

make install DESTDIR=$RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT/%_bindir
#cp bin/* $RPM_BUILD_ROOT/%_bindir
#mkdir -p $RPM_BUILD_ROOT/%_libdir
#p lib/* $RPM_BUILD_ROOT/%_libdir
mkdir -p $RPM_BUILD_ROOT/usr/include
cp src/silo/silo.h $RPM_BUILD_ROOT/usr/include
cp src/silo/silo.inc $RPM_BUILD_ROOT/usr/include

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYRIGHT FAQ INSTALL
%{_bindir}/browser
%{_bindir}/silex
%{_bindir}/silock
%{_bindir}/silodiff
%{_bindir}/silofile
%{_libdir}/libsilo.a
#%{_libdir}/libsilo.la
%{_libdir}/libsilo.settings
/usr/include/*

%changelog
